Subject: [manet] Re:manet Digest, Vol 38, Issue 10

From: "qqq.yinmin" <[email-masked]>
Date: Fri, 8 Jun 2007 20:26:11 +0800 (CST)

在2007-06-08，[email-masked] 写道：
Send manet mailing list submissions to [email-masked] To subscribe or unsubscribe via the World Wide Web, visit https://www1.ietf.org/mailman/listinfo/manet or, via email, send a message with subject or body 'help' to [email-masked] You can reach the person managing the list at [email-masked] When replying, please edit your Subject line so it is more specific than "Re: Contents of manet digest..." Today's Topics: 1. Re: DYMO and other routing protocols (Charles E. Perkins) ---------------------------------------------------------------------- Message: 1 Date: Wed, 06 Jun 2007 11:40:05 -0700 From: "Charles E. Perkins" <[email-masked]> Subject: Re: [manet] DYMO and other routing protocols To: ext Ian Chakeres <[email-masked]>, David Murray <[email-masked]> Cc: [email-masked] Message-ID: <[email-masked]> Content-Type: text/plain; charset=ISO-8859-1; format=flowed Hello folks, I am quite hopeful that we can get to a converged routing protocol that will subsume the best aspects of DYMO and OLSR. We have many recent results pointing the way forward, some of which I presented at the last IETF. I am hoping to have a much more complete presentation ready for the next meeting. I think it is clear by now that proactive protocol operation is better when either there is a strong requirement for minimizing latency in an uncongested network, or when the traffic patterns are not very sparse. So, for instance, if most nodes in an ad hoc network have open communications with most other nodes in the same network, the communication pattern is not at all sparse. The tricky point is to find out how dense the traffic pattern needs to be in order to favor proactive operation (or, alternatively, how sparse the traffic has to be in order to favor reactive operation). Furthermore, it is quite likely that some routes should be proactively maintained even if route table entries are generally acquired on demand. The canonical example is that nodes need a route to a gateway [if one exists] (or default router) often enough that the route should always be there. Whether this is done by periodic advertisement or by triggered route repairs is a matter for further study. One could imagine similar requirements might be imposed for important servers in the network (e.g., certificate authority, data sink, ...). I do _not_ think that proactive protocols should automatically be the choice for mesh backbone routers. Certainly not for all mesh clients...! I would really question whether it is needed for all other mesh points anyway. Plus, the whole concept gets quite fuzzy if there are intermittent long-range connections to neighboring meshes (as an example). Regarding the naming of AODV vs. DYMO: this is a long story with as much political as technical content, and for my own part the former was by far the more persuasive factor to persuade me to agree to a new name for the standards-track reactive protocol. Now the downside is that we have exactly the confusion in evidence currently for newly interested parties. Perhaps we should rename DYMO to be AODVv2 :-) Finally, regarding: > I think each protocol and its supporters can easily make a case > where it will beat other protocols. Simply look at conference > publications for good examples. Simply stated: caveat emptor. Stated more verbosely and redundantly using more words and so on... ---> it is very important to fully understand the range of applicability for each research result. These are sometimes not stated very clearly. It is also very helpful, when possible, to understand the motivations of the authors. Regards, Charlie P. ext Ian Chakeres wrote: > There is no winner takes all in the contest of routing protocols for > MANET. I think each protocol and its supporters can easily make a case > where it will beat other protocols. Simply look at conference > publications for good examples. > > That said, we have chosen to standardize DYMO and OLSRv2 - one > reactive and one reactive protocol in the MANET WG. For more > information regarding when one might deploy one or the other, please > see the applicability statements in the drafts. > > DYMO is a successor to AODV (and other reactive protocols). The > specification is chartered to become a proposed standard. AODV is not > being actively discussed or standardized in the WG. > > Ian > > On 6/6/07, David Murray <[email-masked]> wrote: >> Hi, >> >> I am wondering how DYMO fits in with the other routing protocols. I >> have read a number of papers that discuss how on-demand routing >> protocols like DSR/AODV work better in highly mobile environments where >> movement is fast, CPU and memory are low and batteries are limited. >> Equally, in situations where movement is very low, and there are no >> power limitations, protocols like OLSR/TBRPF/STAR perform better. >> >> So, I have a mental picture of OLSR/TBRPF being predominantly used in >> stationary 802.11 mesh devices and AODV/DYMO being used to connect >> users mobile devices ush as phones and PDAs. Is this correct or are >> things not quite as simple as this? (I know RFC 2501 discusses MANET >> applications and characteristics but the discussion is quite general) >> >> If this is correct, it seems to me that DYMO and AODV are used in very >> similar situations (the ad hoc interconnect between users devices). I >> am aware that DYMO is a simplified version of AODV both in code and >> network operation. It seems like the major difference is the path >> accumulation feature in DYMO which allows nodes to append their >> information to a RREP to give other nodes better knowledge of the >> topology. It also seems that the hello feature has been removed in >> DYMO. So, is DYMO likely to be a replacement for AODV or do they have >> different uses/applications? >> >> Thanks for your time >> >> Dave >> >> >> _______________________________________________ >> manet mailing list >> [email-masked] >> https://www1.ietf.org/mailman/listinfo/manet >> > > > _______________________________________________ > manet mailing list > [email-masked] > https://www1.ietf.org/mailman/listinfo/manet ------------------------------ _______________________________________________ manet mailing list [email-masked] https://www1.ietf.org/mailman/listinfo/manet End of manet Digest, Vol 38, Issue 10 *************************************

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet